summaryrefslogtreecommitdiffstats
path: root/source/d/ccache/ccache.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/ccache/ccache.SlackBuild')
-rwxr-xr-xsource/d/ccache/ccache.SlackBuild42
1 files changed, 34 insertions, 8 deletions
diff --git a/source/d/ccache/ccache.SlackBuild b/source/d/ccache/ccache.SlackBuild
index c7898ee85..ea0e5a690 100755
--- a/source/d/ccache/ccache.SlackBuild
+++ b/source/d/ccache/ccache.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,21 +20,32 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.4
-ARCH=${ARCH:-x86_64}
-NUMJOBS=${NUMJOBS:-" -j7 "}
+PKGNAM=ccache
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-ccache
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf ccache-$VERSION
-tar xvf $CWD/ccache-$VERSION.tar.gz || exit 1
+tar xvf $CWD/ccache-$VERSION.tar.xz || exit 1
cd ccache-$VERSION || exit 1
chown -R root:root .
find . \
@@ -43,16 +54,31 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-./configure --prefix=/usr
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-gzip -9 $PKG/usr/man/man1/*.1
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
mkdir -p $PKG/usr/doc/ccache-$VERSION
cp -a \
- web/index.html README \
+ *.txt \
$PKG/usr/doc/ccache-$VERSION
# Strip binaries: